<?php
  // File menue.php
  // Version 1.0
  // Parameter:
  // a = Ausgabe
  // d = Datendatei
  // l = Lokalteil
  // s = Seite
  // Copyright Stefan Gattmann
  
  // Variablen aus daten.inc auf Standartwerte
  $fehler = "ok";
  include('stdParam.inc');

  // globale Daten-Datei
  if(isset($_GET['d'])) $pfnGlobInc = $_GET['d'];
  include($pfnGlobInc);

  // Verzeichnisse (die Ausgaben) holen
  $ausgabenV = array();
  $neuesteAusgabe = "leer";
  $p1 = strpos($pfnEinzInc,"/%ausg");
  $verz = substr($pfnEinzInc,0,$p1);
  $handle=opendir($verz);
  while (false !== ($file = readdir ($handle))) {
    if ($file==".") continue; // diese Verzeichnisse nicht
    if ($file=="..") continue;
    $p2 = strpos($file,".inc");
    if ($p2) $file = substr($file,0,$p2);
    $ausgabenV[] = $file;
    if ("leer"==$neuesteAusgabe) $neuesteAusgabe = $file;
    else {
      if ($file>$neuesteAusgabe) $neuesteAusgabe = $file;
    } 
  }
  closedir($handle);
  if ("leer"==$neuesteAusgabe) $fehler = "001keine einzige Ausgabe im Verzeichnis " . $verz;
    
  // aktuelle Ausgabe
  if(isset($_GET['a'])) $ausgabe = $_GET['a'];
  if ("%neueste"==$ausgabe) $ausgabe = $neuesteAusgabe;
  $pfnEinzInc = str_replace('%ausg',$ausgabe,$pfnEinzInc);
  include($pfnEinzInc);
  $pfnSeite = str_replace('%ausg',$ausgabe,$pfnSeite);
  if ("eigen"!=$url) $pfnSeite = $url . $pfnSeite;
  if(isset($_GET['s'])) $startSeite = $_GET['s'];
?>
<html>
<head>
<title>Homepage der Online-Zeitung</title>
<script language="JavaScript">
<!--
<?php
  echo "var aktSeite = $startSeite;";
  echo "var aktLok = '$startLokal';";
  // JavaScript-Array von PHP-Array kopieren
  echo 'var ausgabenV = new Array(';
  for($a=0;$a<count($ausgabenV);$a++) {
    if ($a>0) echo ',';
    echo '"' . $ausgabenV[$a] . '"';
  }
  echo ');';
?>

function neuSeite() {
  // die Seiten-Nr in das Editfeld schreiben
  // die Seite in den Heuptbereich holen
  // seitennr. ins Textfeld
  document.forms[0].seitenNr.value = aktSeite;
  // vor- und zurückbuttons disabled machen
  if (aktSeite==1) document.forms[0].seiteZur.disabled = true;
  else document.forms[0].seiteZur.disabled = false;
  if (aktSeite==<?php echo $anzSeiten; ?>) document.forms[0].seiteVor.disabled = true;
  else document.forms[0].seiteVor.disabled = false;
  // Seite in das große Feld
  var pfnSeite = "<?php echo $pfnSeite; ?>";
  pfnSeite = pfnSeite.replace("%seite",aktSeite);
  seiteLok = '';
<?php  
  for($a=0;$a<count($begLokal);$a++) {
    echo "if (aktSeite>=" . $begLokal[$a] . " && aktSeite<" . $endeLokal[$a] . ") seiteLok = aktLok;\n";
  }
?>
  pfnSeite = pfnSeite.replace("%lok",seiteLok);
  //alert(pfnSeite);
  parent.parent.frames["haupt"].location.href = pfnSeite;
}

function seitePlus() {
  // wird aufgerufen wenn der Button zum Vorblättern gedrückt wurde
  aktSeite++;
  neuSeite();
}

function seiteMinus() {
  // wird aufgerufen wenn der Button zum Zurückblättern gedrückt wurde
  aktSeite--;
  neuSeite();
}

function neuLoc(kuerzel) {
  // wird aufgerufen wenn ein Lokalteil ausgewählt wurde
  aktLok = kuerzel;
  neuSeite();
}

function neuInh(s) {
  // wird aufgerufen wenn ein Button aus dem Inhaltsverzeichnis gerückt wurde
  aktSeite = s;
  neuSeite();
}

function neuAusgabe() {
  // ausgewählten Wert aus der Combobox holen
  ind1 = document.forms[0].ausgabe.options.selectedIndex;
  links=parent.frames["menue"].document;
  links.open();
  links.write("<html>");
  links.write("<head>");
  links.write("<s"+"cript type=\"text/javascript\">");
  links.write("window.location.replace('menue.php?a="+ausgabenV[ind1]+"');");
  links.write("</s"+"cript>");
  links.write("</head>");
  links.write("<body>");
  links.write("</body>");
  links.write("/<html>");
  links.close();
}

function init1() {
  // wird am Anfang nach einer kleinen Verzögerrung aufgerufen
  neuSeite();
}

function init0() {
  timeout = window.setTimeout("init1()", 20);
}

init0();

// -->
</script>
</head>
<body bgcolor="<?php echo $hintFarbe; ?>">
<form name="form1" method="POST">
<?php
  //include("fehlersuche.inc");
  if ("ok"==$fehler) {
    if ($navi=="oben") include("naviH.inc");
    else include("naviV.inc");
  } else {
    echo $fehler;
  }
?>
  <input type=button value="Hilfe" style="background-color:<?php echo "$buttonHint; width:$breite"; ?>px" onClick="spez('hilfe');">
  <br><br>
  <!-- Werbeverweis zum Hersteller -->
  Diese Onlinezeitung wurde erstellt mit der Software von <a href="http://onlinezeitung.stefangattmann.de" target="_blank">Stefan Gattmann Onlinezeitung</a>.
<?php
  if ($navi=="oben") echo "</td></tr></table>";
?>
</form>
</body>
</html>